# Codeception Test Suite Configuration
#
# Suite for functional tests
# Emulate web requests and make application process them
# Include one of framework modules (Symfony2, Yii2, Laravel5) to use it
# Remove this suite if you don't use frameworks

actor: FunctionalTester
modules:
    enabled:
#        - Symfony2:
#            url: 'http://localhost/'
#            app_path: 'src' #  specify custom path to your app dir, where the kernel interface is located.
#            var_path: 'var' # specify custom path to your var dir, where bootstrap cache is located.
#            environment: 'test' # environment used for load kernel
#            em_service: 'doctrine.orm.entity_manager' # use the stated EntityManager to pair with Doctrine Module.
#            debug: true # turn on/off debug mode
#            cache_router: 'false' #enable router caching between tests in order to increase performance
#            rebootable_client: 'true' #reboot client’s kernel before each request
# uncomment to use doctrine (has to be setup in the app before)
#        - Doctrine2:
#            depends: Symfony2
#            cleanup: true # All doctrine queries will be wrapped in a transaction, which will be rolled back at the end of each test
        - \Tests\Helper\Functional
#        - PhpBrowser:
#            url: 'http://localhost'
